> ## Documentation Index
> Fetch the complete documentation index at: https://orwel-22af1265.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Identity

> Update an existing visitor identity

## Path Parameters

<ParamField path="id" type="string" required>
  Identity ID (UUID)
</ParamField>

## Request Body

<ParamField body="name" type="string">
  Full name
</ParamField>

<ParamField body="traits" type="object">
  Custom traits
</ParamField>

<ParamField body="is_favorite" type="boolean">
  Mark as favorite
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH "https://api.orwel.io/api/v1/identities/ee0e8400-e29b-41d4-a716-446655440009" \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{"is_favorite": true}'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "data": {
      "id": "ee0e8400-e29b-41d4-a716-446655440009",
      "is_favorite": true
    }
  }
  ```
</ResponseExample>
